package media.common;
import java.net.*;
import java.util.StringTokenizer;
public class User{

    //Private Variable Declaration
    private String name;
    private String status;
    private String IP;
    private String hostName;
    private int port;

    public User(String hostInfo){
	StringTokenizer tokenizer = new StringTokenizer(hostInfo);
	while(tokenizer.hasMoreTokens( )){
	    this.IP = tokenizer.nextToken( );
	    this.name = tokenizer.nextToken( );
	    this.status = tokenizer.nextToken( );	   
	}
    }
 
    public String getHostName( ){
	return IP;
    }
    public String getName( ){
	return name;
    }
    public String getStatus( ){
	return status;
    }  
    public String toString( ){
	return name+" "+IP+" "+status;
    }
    public void updateStatus(String newStatus){
	this.status = newStatus;
    }

}

    
	
